using Brizco.Infrastructure.Models;

namespace Brizco.Api.WebFramework.Configurations;

public static class LoggerConfig
{
    public static void ConfigureSerilog()
    {
        var logName = $"{DirectoryAddress.Logs}/Log_Server_.log";
        Log.Logger = new LoggerConfiguration()
            .Enrich.FromLogContext()
            .WriteTo.Console(theme: AnsiConsoleTheme.Literate)
            .MinimumLevel.Override("Microsoft.EntityFrameworkCore.Database.Command", LogEventLevel.Warning)
            .CreateLogger();
    }
}